#ifndef SRC_SAM_XML_H_
#define SRC_SAM_XML_H_

#include <klog.h>
#include <list>
#include <stdio.h>

#include "sam.h"

class samXML
{
   cKlog logger;

public:
   samXML();
   virtual ~samXML();

   std::list<SAM*> parse(const char *device_directory);
};

#endif /* SRC_SAM_XML_H_ */
